
:root {
    --board-side: 80vmin;
    --square-side: calc(var(--board-side)/8);
    --pawn-margin: calc(var(--square-side)*0.06);
    --pawn-side: calc(var(--square-side)*0.88);
    --pawn-side-hover: calc(var(--square-side)*0.89);
    --board-margin: auto;
    --flop-left: 90vw;
    --flop-top: 46vmin;
    --rematch-left: 85vw;
    --rematch-top: 47.5vmin;
    --sign-form-h: 70vmin;
    --sign-form-w: 50vmin;
    --reg-h: 75vmin;

    /* ---colors--- */
    /* dark */
    --dark-1: #333333;
    --dark-2: #555555;
    --dark-3: #777777;
    /* mid */
    --mid-1: #aaaaaa;
    --mid-2: #bbbbbb;
    --mid-3: #cccccc;
    /* ligth */
    --light-1: #dddddd;
    --light-2: #eeeeee;
    --light-3: #ffffff;
    /* accent */
    --accent: #ffff33;

    --box-shadow: 0.5vmin  0.5vmin 1vmin var(--mid-1),
                 -0.5vmin -0.5vmin 1vmin var(--light-1);
    --box-shadow-hover: 1.0vmin  1.0vmin 1.5vmin var(--mid-1),
                       -1.0vmin -1.0vmin 1.5vmin var(--light-1);
}

@media screen and (orientation: portrait){
    :root{
        --board-side: 90vmin;
        --board-margin: auto;
        --flop-left: 45vw;
        --flop-top: none;
        --rematch-left: 42vw;
        --rematch-top: none;
        --sign-form-h: 75vmin;
        --sign-form-w: 70vmin;
        --reg-h: 80vmin;
    }
}

@media screen and (orientation: landscape){
    :root{
        --board-side: 65vmin;
        --board-margin: auto;
        --flop-left: 90vw;
        --flop-top: 45vmin;
        --rematch-left: 85vw;
        --rematch-top: 42.5vmin;
        --sign-form-h: 70vmin;
        --sign-form-w: 50vmin;
        --reg-h: 75vmin;
    }
}

@viewport {
    width: device-width;
    zoom: 1.0;
}

.{
    transition-timing-function: ease-out;
    transition: color 0.3s;
}

@import url('https://fonts.googleapis.com/css2?family=IBM+Plex+Mono:wght@400;500;600&display=swap');

body {
    font-family: 'IBM Plex Mono SemiBold', monospace; 
    background: var(--mid-3);
    overflow: hidden;
    display: block;
    justify-content: center;
    align-items: center;
}


.navbar{
	height: 8vmin;
    width: 100%;
    box-sizing: border-box;
    display: flex;
    position: relative;
	flex-direction: row; 
}

.name-bar{
    height: 6vmin;
    width: var(--board-side);
    margin: auto;
    position: relative;
    display: flex;
    flex-direction: row; 
    justify-content: left;
    align-items: center;
}

.nav-elem{
	height: 8vmin;
    width: 42vmin;
	display: flex;
    position: absolute;
    box-sizing: border-box;
    margin: auto;
	flex-direction: row; 
	align-items: center;
}

.logo{
	justify-content: left;
}

.signin{
	justify-content: right;
    right: 0;
}

.logo-pawn {
    position: absolute;
    height: 5vmin; 
    width: 5vmin;
    margin: 0.6vmin;
    border-radius: 50%;
    right: 0;
    box-shadow: var(--box-shadow);
}

.h-text{
    font-size: 4.5vmin;
    color: var(--dark-2);
    user-select: none;
    padding: 1vmin;
    transition-timing-function: ease-out;
    transition: color 0.3s;
}


.h-text:hover{
    color: var(--dark-3);
}

.l-text{
    font-size: 7vmin;
}

.s-text{
    font-size: 3vmin;
}

.elo{
    color: var(--light-3);
}


.new_game {
	height: 12vmin;
    width: 42vmin;
	display: flex;
    box-sizing: border-box;
    margin: auto;
    margin-top: 20vmin;
    position: relative;
	flex-direction: row; 
	justify-content: center;
	align-items: center;
}

.board {
	height: var(--board-side);
    width: var(--board-side);
	display: flex;
    box-sizing: border-box;
    margin: var(--board-margin);
    position: relative;
	flex-direction: row; 
	justify-content: center;
	align-items: center;
    border-radius: 4vmin;
    box-shadow: var(--box-shadow);
    background-image: linear-gradient(145deg, var(--mid-3), var(--mid-2));
    background-size: var(--square-side) var(--square-side);
}

.pawn {
    position: absolute;
    height: var(--pawn-side); 
    width: var(--pawn-side);
    margin: var(--pawn-margin);
    transition-timing-function: ease-out;
    transition: box-shadow 0.3s;
    border-radius: 50%;
    box-shadow:  var(--box-shadow);
}

.king::after {
	content: '';
	position: absolute;
    top: 10%;
    left: 10%;
	height: 80%;
	width: 80%;
	background-color: transparent;
	border-radius: 50%;
	box-shadow: inset -0.5vmin -0.5vmin 1vmin #eaeaeab0, 
                inset 0.5vmin 0.5vmin 0.5vmin #888888b0;
}

.pawn:hover{
    box-shadow: var(--box-shadow-hover);
    height: var(--pawn-side-hover);
    width: var(--pawn-side-hover);
}

.black {
    background: linear-gradient(145deg, var(--mid-3), var(--dark-1));
}

.white {
    background: linear-gradient(145deg, var(--light-3), var(--mid-2));
}

.light {
    background: linear-gradient(145deg, var(--light-3), #ffff3360);
    box-shadow:  1.2vmin 1.2vmin 8vmin #e9e9e9,  
                 -1.2vmin -1.2vmin 8vmin #eaeaea;
}

.light:hover{
    background: linear-gradient(145deg, var(--light-3), var(--accent));
    box-shadow: var(--box-shadow);
    height: var(--pawn-side-hover);
    width: var(--pawn-side-hover);
}


.sign-form {
	height: var(--sign-form-h);
    width: var(--sign-form-w);
	display: flex;
    box-sizing: border-box;
    margin: auto;
    margin-top: 3vmin;
    position: relative;
	flex-direction: column; 
	justify-content: left;
	align-items: left;
    border-radius: 2vmin;
    padding: 2vmin;
    box-shadow: var(--box-shadow);
    background-color: var(--mid-3);
}

.form-div {
	height: 10vmin;
	display: flex;
    box-sizing: border-box;
    position: relative;
	flex-direction: row; 
	justify-content: left;
	align-items: center;
}


input {
    box-sizing: border-box;
    width: 100%;
    background-color: var(--light-2);
    color: var(--dark-2);
    border: 1vmin solid var(--light-2);
    border-radius: 1vmin;
    font-size: 4.5vmin;
    margin-bottom: 2vmin;
    margin-top: 1vmin;
}

.submit-btn {
    background: var(--accent);
    border-radius: 2vmin;
	justify-content: center;
    transition: box-shadow 0.3s;
    box-shadow: var(--box-shadow);
    margin-top: 5vmin;
}

.submit-btn:hover {
    box-shadow: var(--box-shadow-hover);
               
}

.hyper-text{
    color: white;
}

.hyper-text:hover{
    color: var(--accent);
}

.reg-form{
    height: var(--reg-h);
}

.input-div{
    height: 5vmin;
	align-items: left;
}

.title-div{
    margin-bottom: 5vmin;
}

.form-title{
    color: var(--light-3);
}

.form-title:hover{
    color: var(--light-3);
}

.input-p{
    font-size: 4.5vmin;
    color: var(--dark-3);
    user-select: none;
    padding-bottom: 1vmin;
    padding-left: 1vmin;
    padding-right: 1vmin;
    position: absolute;
}

.loader{
	height: 30vmin;
    width: 30vmin;
	display: flex;
    box-sizing: border-box;
    margin: auto;
    margin-top: 15vmin;
    position: relative;
	flex-direction: row; 
	justify-content: center;
	align-items: center;
    border-radius: 50%;
    background: linear-gradient(145deg, var(--light-3), var(--accent));
    animation: spin 1s linear infinite;
}

.loader::after{
    content: '';
    position: absolute;
    height: 23vmin;
    width: 23vmin;
    border-radius: 50%;
    background: var(--mid-3);
	box-shadow: inset -0.5vmin -0.5vmin 1vmin var(--mid-3), 
                inset 0.5vmin 0.5vmin 0.5vmin var(--mid-2);
}

.loader span{
    position: absolute;
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background: linear-gradient(145deg, var(--light-3), var(--accent));
}

@keyframes spin{
    0%{
        transform: rotate(0deg);
    }
    100%{
        transform: rotate(360deg);
    }
}

.loader span:nth-child(1){
    filter: blur(3vmin);
}

.loader span:nth-child(2){
    filter: blur(13vmin);
}

#fflop{
    left: var(--flop-left);
    top: var(--flop-top);
    visibility: visible;
}

#rematch{
    position: absolute;
    left: var(--rematch-left);
    top: var(--rematch-top);
    visibility: hidden;
}

.right-side{
    position: absolute;
    right: 0;
}


#dev{
    position: absolute;
    right: 0;
}


